Package org.apache.synapse.mediators.opa

## Class OPAMediatorFactory

- java.lang.Object
- - org.apache.synapse.config.xml.AbstractMediatorFactory
  - - org.apache.synapse.mediators.opa.OPAMediatorFactory

- All Implemented Interfaces:
    `org.apache.synapse.config.xml.MediatorFactory`

      public class OPAMediatorFactory
      extends org.apache.synapse.config.xml.AbstractMediatorFactory

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

      `ATT_ARGUMENT, ATT_DEFAULT_VALUE, ATT_DESCRIPTION, ATT_EVAL, ATT_EXPRN, ATT_IS_MANDATORY, ATT_KEY, ATT_NAME, ATT_ONERROR, ATT_REGEX, ATT_ROOT_ELEMENT, ATT_SEQUENCE, ATT_SOURCE, ATT_STATS, ATT_TARGET, ATT_TARGET_VARIABLE, ATT_TYPE, ATT_VALUE, ATT_XPATH, DESCRIPTION_Q, FEATURE_Q, INPUTS, PROP_Q, PROPERTY_GROUP_Q, RESULT_TYPE_Q, TARGET_Q, VARIABLE_Q`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OPAMediatorFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.apache.synapse.Mediator` | `createSpecificMediator​(org.apache.axiom.om.OMElement omElement, Properties properties)` |
    `QName` | `getTagQName()` |

    - ### Methods inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

      `addAllCommentChildrenToList, collectNameValuePairs, createMediator, handleException, handleException, processAuditStatus, processTraceState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OPAMediatorFactory

          public OPAMediatorFactory()

  - ### Method Detail

    - #### createSpecificMediator

          protected org.apache.synapse.Mediator createSpecificMediator​(org.apache.axiom.om.OMElement omElement,
                                                                       Properties properties)

      Specified by:
        `createSpecificMediator` in class `org.apache.synapse.config.xml.AbstractMediatorFactory`

    - #### getTagQName

          public QName getTagQName()